package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.ExamCode;
//
///**
// * 存储所有考试识别码
// * @author tianjun
// *
// */
//@Repository
//public interface ExamCodeDao extends MongoRepository<ExamCode, String> {
//
//	public List<ExamCode> findByExamCode(String examCode);
//
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamCode;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考试识别码 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamCodeDao extends BaseMapper<ExamCode> {

    public List<ExamCode> findByExamCode(@Param("examCode") String examCode);
}

