package com.qmth.jkserver.dao;

//import java.util.List;
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//import com.qmth.jkserver.model.ExamPaperTemp;
//
//@Repository
//public interface ExamPaperTempDao extends MongoRepository<ExamPaperTemp, String> {
//
//	public List<ExamPaperTemp> findByExamCodeAndAttachmentId(String examCode,String attachmentId);
//
//	public List<ExamPaperTemp> findByExamCode(String examCode);
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamPaperTemp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 试卷临时数据 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamPaperTempDao extends BaseMapper<ExamPaperTemp> {

    public List<ExamPaperTemp> findByExamCodeAndAttachmentId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);

    public List<ExamPaperTemp> findByExamCode(@Param("examCode") String examCode);
}